//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace WordsBooklet.BusinessLayer.Models
{
    using System;
    using System.Collections.ObjectModel;
    
    public partial class VerbsDetail
    {
        public long Id { get; set; }
        public string SpeakingRate { get; set; }
        public short SerialNumber { get; set; }
        public long VerbsHeadersId { get; set; }
        public byte PronunciationTimes { get; set; }
        public string InfinitiveArabicCharacterSet { get; set; }
        public byte[] InfinitiveArabicPronunciation { get; set; }
        public string InfinitiveNorwegianCharacterSet { get; set; }
        public byte[] InfinitiveNorwegianPronunciation { get; set; }
        public string PresentArabicCharacterSet { get; set; }
        public byte[] PresentArabicPronunciation { get; set; }
        public string PresentNorwegianCharacterSet { get; set; }
        public byte[] PresentNorwegianPronunciation { get; set; }
        public string PreteriteArabicCharacterSet { get; set; }
        public byte[] PreteriteArabicPronunciation { get; set; }
        public string PreteriteNorwegianCharacterSet { get; set; }
        public byte[] PreteriteNorwegianPronunciation { get; set; }
        public string PastParticipleArabicCharacterSet { get; set; }
        public byte[] PastParticipleArabicPronunciation { get; set; }
        public string PastParticipleNorwegianCharacterSet { get; set; }
        public byte[] PastParticipleNorwegianPronunciation { get; set; }
        public string NorwegianExampleCharacterSet { get; set; }
        public byte[] NorwegianExamplePronunciation { get; set; }
    
        public virtual VerbsHeader VerbsHeader { get; set; }
    }
}
